Summary:	smproxy application - Session Manager proxy
Summary(pl.UTF-8):	Aplikacja smproxy - proxy zarządcy sesji (SM)
Name:		xorg-app-smproxy
Version:	1.0.7
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/smproxy-%{version}.tar.xz
# Source0-md5:	9f7a4305f0e79d5a46c3c7d02df9437d
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
smproxy allows X applications that do not support X11R6 session
management to participate in an X11R6 session.

%description -l pl.UTF-8
smproxy pozwala uczestniczyć w sesji X11R6 aplikacjom X nie
obsługującym zarządzania sesjami X11R6.

%prep
%setup -q -n smproxy-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/smproxy
%{_mandir}/man1/smproxy.1*
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-smproxy.git;a=log;h=master

* Thu Oct 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 2f9b52e
- updated to 1.0.7

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 7778071
- updated to 1.0.6

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> ad81401
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> df6b606
- dropped pre-cvs changelog

* Fri Oct 22 2010 Jakub Bogusz <qboosh@pld-linux.org> 860a730
- updated to 1.0.4

* Sat Oct 17 2009 Jakub Bogusz <qboosh@pld-linux.org> 923c59c
- updated to 1.0.3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bf7e8a
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> b3ea7e7
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dccce33
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2ae174e
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 21446af
- more verbose files

* Sun Apr 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> cdbaf14
- up to 1.0.2

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 6058819
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 5a78c5a
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> c68cd57
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> bdc4fd9
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 9281ddf
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 3b2e8e9
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 3697499
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 2a16a7f
- s/pkg-config/pkgconfig/ in BR:

